Dismiss the open flags on a message (staff)
POST /api/communities/{communityId}/messages/{messageId}/flags/resolution. Dismiss the open flags on a message (staff). Headless LMS Communities API reference.
Staff only (owner, admin, instructor). Closes every open flag on the message and leaves it up.
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/communities/string/messages/string/flags/resolution" \ -H "Content-Type: application/json" \ -d '{ "resolution": "dismissed" }'null{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Dismiss the open flags on a comment (staff) POST
POST /api/communities/{communityId}/comments/{commentId}/flags/resolution. Dismiss the open flags on a comment (staff). Headless LMS Communities API reference.
Lock a chat (staff) POST
POST /api/communities/{communityId}/chats/{chatId}/lock. Lock a chat (staff). Headless LMS Communities API reference.